# keystone.trust.core module

Main entry point into the Trust service.

class keystone.trust.core.Manager

  Bases: `Manager`

  Default pivot point for the Trust backend.

  See `keystone.common.manager.Manager` for more details on how this dynamically calls the backend.

  create_trust(trust_id, trust, roles, redelegated_trust=None, initiator=None)

    Create a new trust.

    Returns:

      a new trust

  delete_trust(trust_id, initiator=None)

    Remove a trust.

    Raises:

      keystone.exception.TrustNotFound – If the trust doesn’t exist.

    Recursively remove given and redelegated trusts

  driver_namespace: str = 'keystone.trust'
  get_trust(trust_id, deleted=False)
  get_trust_pedigree(trust_id)

this page last updated: 2026-04-01 20:09:17

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug